%global realname opengfx
#global prever   alpha6

Name:           openttd-opengfx
Version:        0.3.1
Release:        1%{?prever:.%{prever}}%{?dist}
Summary:        OpenGFX replacement graphics for OpenTTD

Group:          Amusements/Games
License:        GPLv2
URL:            http://dev.openttdcoop.org/projects/opengfx
Source0:        http://bundles.openttdcoop.org/opengfx/releases/%{version}%{?prever:-%{prever}}/%{realname}-%{version}%{?prever:-%{prever}}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  grfcodec >= 1.0.1
Requires:       openttd


%description
The ultimate aim of this project is to have a full replacement set of graphics,
so that OpenTTD can be distributed freely without the need of the copyrighted
graphics from the original game.


%prep
%setup -q -n %{realname}-%{version}%{?prever:-%{prever}}-source 


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL_DIR=$RPM_BUILD_ROOT%{_datadir}/openttd/data


%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/
%{_datadir}/openttd/data/*


%changelog
* Mon Oct 11 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.3.1-1
- new upstream release
- contains mostly packaging fixes and a fix for the load sprite
- removed empty sample.cat, openttd now gives a warning and offers
  to download a sound set
- sprites are complete as of 0.3.0

* Sun May 09 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.2.4-1
- mainly fixes for train alignment
- now relying on 'make check' for data integrity checks

* Mon Mar 29 2010 Felix Kaechele <heffer@fedoraproject.org> - 0.2.2-1
- bugfix release 0.2.2
- major fixes to houses and their alignment
- re-worked maglev and monorail vehicles
- translations into multiple languages

* Sat Jan 02 2010 Felix Kaechele <felix@fetzig.org> - 0.2.1-1
- upstream bugfix release

* Fri Dec 11 2009 Felix Kaechele <felix@fetzig.org> - 0.2.0-1
- update to 0.2.0
- cleaned up docs

* Sat Oct 10 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.1.1-2
- Correct generation of grfs, using nforenum

* Sat Oct 10 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.1.1-1
- New upstream release 0.1.1
- Check md5sums of resulting files

* Sun Aug 23 2009 Felix Kaechele <heffer@fedoraproject.org> - 0.1.0-0.1.alpha6
- new upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.alpha4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 28 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.4.alpha4.2
- added md5 check

* Tue Apr 14 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.3.alpha4.2
- now compiles from source

* Sun Mar 29 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.2.alpha4.2
- improved macro usage
- touch sample.cat

* Sat Mar 21 2009 Felix Kaechele <heffer@fedoraproject.org> - 0-0.1.alpha4.2
- initial build

